Test help

IronHead:MathFlash1.2

Introduction
Starting a Drill
Selecting a Student
Setting Repeat Method
Using Teach Mode
List of Controls

Introduction                  Next      Table of Contents

IronHead:MathFlash1.2 is a freeware math flashcard program that drills Addition, Subtraction, Multiplication
and Division.  This program was specifically designed for use with students in grades k thru 3 with features
such as multiple-choice input buttons, Animation and Sounds,  IronHead:MathFlash1.2 is easy and fun for
very young students. For Teachers and Parents, this program offers:

1)	Complex Drilling system
2)	Ability to save multiple student settings
3)	Automatic Teach mode
4)	Results table that displays data in three different ways

To Quick Start MathFlash1.2 select the operation, First number and second number then click " Start "
To stop program click " Pause "
To Close Program click the "x" at upper right corner of window.
                                                       Back

Starting a Drill                       Next      Table of Contents

Note: Changing the values in the "Smart Repeat" window sets the behavior of a drill or the user can simply
use the default settings.

The controls on the main program window determine the numbers and operation used for drilling.  The
sections Operation, First Number A, and Second Number B correspond to the  " A operation B " common
to math.  The A number is a range of numbers to use during drilling while the B number is the particular
number the student is to practice. For example, choosing:

                     Operation = Add          A = 1 thru 10       B = 1

The resulting drill will be:

  1 + 1  ,  2 + 1 , 3 + 1 , 4 + 1 , 5 + 1 ,  6 + 1 , 7 + 1 , 8 + 1 , 9 + 1 , 10 + 1

Multiple numbers can be selected but only one operation is allowed per drill.   The operations possible are:

1) Addition 1 thru 20 against 1 thru 10
2) Subtraction 10 against 1 thru 10
3) Subtraction 1 thru 20 against 1 thru 10 *
4) Multiplication 1 thru 20 against 1 thru 10
5) Division without remainders 1 thru 20 against 1 thru 10 *
6) Division with remainders 1 thru 20 against 1 thru 10 *

* The Problems were generated using Math Facts so they will not correspond to numbers on controls ex:  A + B = C   produces C - B = A.
The "Start" button will begin the drill that will stop automatically or the user can click "Pause" to stop drill.
 To continue current drill, click  "Start" or to reset score click "New Drill".   The results of drill can be viewed
by clicking the "Results Table" button.
                                                      Back

Selecting a Student             Next      Table of Contents

The "Student Data" button opens a window that can be used to save and select students as well as start
the Teach Mode feature.

To add a student to list, type in a name in the text box and click "Add Student"
or press "enter" key.  New students are automatically loaded for drilling and use the default settings; to
load a student from the list, single click the student.  The student can be removed by selecting the student
from the list and clicking "Remove".

To rename a student, type in the new name in the text box, select the  student to rename and click
"Rename". After selecting a student, the settings can be edited.

 The first three rows of controls are identical to the controls on the main program window and are there only
 for convenience.  Checking the  check box activate enables the review option.  This feature will
automatically start a review of all numbers from current on down.  The advance Math Fact settings regulates
 the condition when  Teach Mode will progress up a number.  The Teach Mode button toggles this feature
 on and off.
                                                    Back

Setting Repeat Method      Next      Table of Contents

The "Smart Repeat" window controls repeat, remove, and drill termination, defaults and other options.

The "Repeat If " section has two methods to repeat: By number wrong or speed to slow.  Each can be
independently adjusted or combined.  The controls are in the form:

Wrong XXX -> Do  YYY Repeats
Slower XXX -> Do YYY Repeats
XXX = Number that triggers Repeat system to activate
YYY = Number of times to Repeat

The review interval sets how often repeats are conducted during drilling.

The " Remove if " section eliminates math facts that the student already knows.  The first method
 "Consecutively Correct  XXX " Requires that the student gets the answer right XXX times in a row.

The second method " Faster Than  XXX  in Last YYY "  Also requires consecutively correct answers XXX
times but also requires all answers faster than YYY seconds.

The " Let Remove Override Repeat " check box allows math facts to be removed even if there are pending
repeats.

The Drill can be stopped by a maximum time and/or maximum number of problems by selecting the
appropriate check box.  The shock clock control sets the time to wait before a pop-up screen appears
 giving the answer while the delay feature locks all controls for a given number of seconds to force students
 to think about the problem before answering.  The user can change the default setting to the current
settings by clicking on the  "Current as Default " button.  To set back to the original settings, click on the
 button by that name.
                                                         Back

Using Teach Mode              Next      Table of Contents

Teach mode feature is available in the Student Data window and is activated by toggling the " Teach " Button.

Select the student or create a new student to drill in Teach mode.  Adjust the settings if needed and toggle
 the teach button.  Multiple numbers can be selected but the teach mode works best when only one number
is drilled at a time. To load this student at startup, check the "Load on Startup " check box.

The Math Facts will advance automatically based on the " advance  if " section which has the form:
Advance if: XXX% correct in last YYY problems
XXX = Percent correct for each math fact
YYY = Minimum number of times the math fact is drilled before a percent is generated.

The " Review " section starts and stops automatic review of all numbers up to the current number being
drilled.  The form is:

Start review after XXX   End review after   YYY
XXX = The number of total problems done before review begins
YYY = The number of problems to review before going back to teach mode

Close the " Student Data " window and click "Start" to begin Teach mode".
The settings and results are automatically saved when the program is closed.
                                             Back

List of Controls      (Main)    (Smart Repeat)    (Student Data )    (Results Table)            Table of Contents

This section list and explains each control organized by window.
Note: All Check boxes marked active enables feature in same row

Main:
Operation = selects from Addition, subtraction, subtract from 10, multiplication, division or division
                      with remainders

First Number (A) = Range of numbers to practice selected number against

Second Number (B) = The number that the student is to practice

Smart Repeat = Opens the Smart Repeat window used to adjust drill behavior

Students Data = Opens the Student Data window used to save and select students and start/stop
                              teach mode

Results Table = Displays a Table by Percent, Ratio or Number

Goto Help = Opens the Help file Window

Smart Repeat:
Wrong = Number wrong that triggers repeat
ThenDo = The number to repeat a particular math fact

Slow = The time trigger that starts repeat
ThenDo = The number to Repeat math fact

Repeat randomly within next = Number of problems within which review is executed

Consecutively Correct= The correct before removing math fact

Faster than = The speed trigger to remove math fact
InLast = Number of problems that must be fast

OverRide = enables removal of math fact when repeat is pending

Save Level = Saves settings on Closing program

Popup = Time that answer popup appears

Original Default = Restores original default settings

Current as Default = Sets Current settings as default

MaxTime =  Maximum Time to drill

Max Problem = The number of problems to drill before ending drill

Shockclock  =  Time Before popup answer screen appears

Delay = Time to lock controls before answer is accepted

Stop on = Method to Stop drill

Student Data = Opens Student Data window

Cancel = Cancels changes to settings

OK = Closes window

Student Data:
New Student = Text to input or change students name

Add Student = Adds name from text box to list

SortList = Sorts the list alphabetically

Remove = Removes selected student from list

Rename = Renames the selected student to the name in the Text Box

Cancel = Cancels changes made to student

Load on Start = Loads student on program start up and overrides the Save settings feature.

Start Review = The number of problems that activate review

End Review = The number of problems that stops review

Advance% = The percent trigger that starts drilling the next number up
InLast =  Number of problems before a percent is generated

Repeat settings = Opens the Smart Repeat window

Start/ Stop = Toggles Teach mode
Ok = Closes and saves Student Data Window

Results Table:
Percent = Display the percent correct for each math fact

Ratio = Displays the results as a ratio of correct / total

Number Wrong = Shows only the number that the student got wrong
                                              Back